%define upstream_name    Search-QueryParser-SQL
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    SQL column object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::QueryParser)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Search::QueryParser::SQL is a subclass of Search::QueryParser. Chiefly it
extends the unparse() method to stringify free-text search queries as valid
SQL WHERE clauses.

The idea is to allow you to treat your database like a free-text search
index, when it really isn't.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1506173
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-6.mga7
+ Revision: 1285983
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.10.0-5.mga7
+ Revision: 1166421
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.10.0-4.mga7
+ Revision: 1160363
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1033021
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 951347
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.10.0-1.mga5
+ Revision: 805309
- imported package perl-Search-QueryParser-SQL


* Wed Dec 24 2014 Buchan Milne <buchan> 0.010-1mga
- initial mageia release, generated with cpan2dist
